// To parse this JSON data, do
//
//     final speiderResult = speiderResultFromJson(jsonString);

import 'dart:convert';

SpeiderResult speiderResultFromJson(String str) => SpeiderResult.fromJson(json.decode(str));

String speiderResultToJson(SpeiderResult data) => json.encode(data.toJson());

class SpeiderResult {
  SpeiderResult({
    this.totalNum,
    this.list,
    this.pageId,
  });

  int totalNum;
  List<ListElement> list;
  String pageId;

  factory SpeiderResult.fromJson(Map<String, dynamic> json) => SpeiderResult(
    totalNum: json["totalNum"],
    list: List<ListElement>.from(json["list"].map((x) => ListElement.fromJson(x))),
    pageId: json["pageId"],
  );

  Map<String, dynamic> toJson() => {
    "totalNum": totalNum,
    "list": List<dynamic>.from(list.map((x) => x.toJson())),
    "pageId": pageId,
  };
}

class ListElement {
  ListElement({
    this.itemId,
    this.img,
    this.title,
    this.itemUrl,
  });

  String itemId;
  String img;
  String title;
  String itemUrl;

  factory ListElement.fromJson(Map<String, dynamic> json) => ListElement(
    itemId: json["itemId"],
    img: json["img"],
    title: json["title"],
    itemUrl: json["itemUrl"],
  );

  Map<String, dynamic> toJson() => {
    "itemId": itemId,
    "img": img,
    "title": title,
    "itemUrl": itemUrl,
  };
}
